Bug Hunting Session
Bug 59853 - XLSX import missing data in columns 2-end
Summary: XLSX import missing data in columns 2-end
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.6.4.3 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.3.0 target:4.2.2
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-25 16:25 UTC by Joe
Modified: 2015-04-19 13:09 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
XLSX file with missing data in cols 2-end (9.84 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2013-01-25 16:25 UTC, Joe
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Joe 2013-01-25 16:25:33 UTC
Created attachment 73649 [details]
XLSX file with missing data in cols 2-end

MS XLSX file does not import columns 2-end - uploaded it to google docs and data was there.
Comment 1 bfoman (inactive) 2013-06-21 11:04:02 UTC
Confirmed with:
LO 4.1.0.0.beta2
Build ID: 33224f4f11a05cfad2249e812fcc2975fbb61f6
Windows 7 Professional SP1 64 bit

Only column A (header and data) and partly column M (only 0 values) are imported. Loss of data as other headers and cells are empty.
Comment 2 Commit Notification 2014-02-12 00:02:54 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8129a28dbe68bc08ca881b5521e7adc393dd6f80

don't crash in mixed reference/no reference cases, related fdo#59853



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Markus Mohrhard 2014-02-12 00:04:33 UTC
At least master now imports it fine. I'll backport my patch to 4.2.1 and possibly 4.1.x so they should be able to import it as well.
Comment 4 Commit Notification 2014-02-14 15:02:27 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=29a32f6a658843e6a61957178587f026a30f285a&h=libreoffice-4-2

don't crash in mixed reference/no reference cases, related fdo#59853


It will be available in LibreOffice 4.2.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Julien Nabet 2015-04-19 13:09:22 UTC
Since 4.2 is EOL and we're now with 4.3.6 and 4.4.2, let's put this one to FIXED thanks to Markus.